Uploaded image for project: 'OpenOLAT'
  1. OpenOLAT
  2. OO-1040

Make theme compatible with SASS 3.3.4

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 9.3.4
    • Fix Version/s: 9.4.0
    • Component/s: Layout
    • Labels:
      None

      Description

      From the mailing list:

      I wanted to compile a custom theme for my OO 9.3.1 installation, using the provided compile_theme.sh script. I have the latest SASS 3.3.4. Compiling a child theme based on the openolat default theme, this SASS error from the core theme pops up:

      error …/openolat/all/_icons.scss (Line 32: You may not @extend an outer selector from within @media.
      
      You may only @extend selectors within the same directive.
      
      From "@extend .b_with_small_icon_right" on line 434 of …/openolat/all/_basemod.scss.
      

      I did a quick&dirty fix by removing the @extend in _basemod.scss and replacing it with the rules for .b_with_small_icon_right from _icons.scss.

        Attachments

          Activity

            People

            Assignee:
            gnaegi Florian Gnägi
            Reporter:
            gnaegi Florian Gnägi
            Tester:
            Stéphane Rossé
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Time Tracking

                Estimated:
                Original Estimate - 1 hour
                1h
                Remaining:
                Remaining Estimate - 0 minutes
                0m
                Logged:
                Time Spent - 30 minutes Time Not Required
                30m